Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.temp
Class TemporaryFileProvider

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractVfsComponent
          org.apache.commons.vfs.provider.AbstractVfsContainer
              org.apache.commons.vfs.provider.AbstractFileProvider
                  org.apache.commons.vfs.provider.temp.TemporaryFileProvider

All Implemented Interfaces:
  Comparable, FileProvider, VfsComponent

public class TemporaryFileProvider
extends AbstractFileProvider
implements FileProvider, Comparable

A provider for temporary files.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch

Constructor Summary
`TemporaryFileProvider()`
`TemporaryFileProvider(File rootFile)`

Method Summary
`int` | `compareTo(Object o)`
`FileObject` | `findFile(FileObject baseFile, String uri, FileSystemOptions properties)` Locates a file object, by absolute URI.
`Collection` | `getCapabilities()` Get the filesystem capabilities.

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileProvider
`addFileSystem, close, closeFileSystem, createFileSystem, findFileSystem, freeUnusedResources, getConfigBuilder, getFileNameParser, parseUri, setFileNameParser`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsContainer
`addComponent, removeComponent`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsComponent
`getContext, getLogger, init, setContext, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.vfs.provider.FileProvider
`createFileSystem, getConfigBuilder, parseUri`

Constructor Detail

### TemporaryFileProvider

    public TemporaryFileProvider(File rootFile)

### TemporaryFileProvider

    public TemporaryFileProvider()

Method Detail

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### findFile

    public FileObject findFile(FileObject baseFile,
                               String uri,
                               FileSystemOptions properties)
                        throws FileSystemException

  Locates a file object, by absolute URI.

  Specified by:
    `findFile` in interface `FileProvider`
  Parameters:
    `baseFile` - The base file to use for resolving the individual parts of a compound URI.
    `uri` - The absolute URI of the file to find.
    `properties` -
  Throws:
    `FileSystemException`

### getCapabilities

    public Collection getCapabilities()

  Description copied from interface: `FileProvider`
  Get the filesystem capabilities.
  These are the same as on the filesystem, but available before the first filesystem was instanciated.

  Specified by:
    `getCapabilities` in interface `FileProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.